# FileLogger (SubServers.Host)

net.ME1312.SubServers.Host.Library.Log

## Class FileLogger

- java.lang.Object
- - java.io.OutputStream
  - - net.ME1312.SubServers.Host.Library.Log.FileLogger

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public final class FileLogger
    extends java.io.OutputStream

Log File Writer Class

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `end()`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, write, write`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### write

    public void write(int b)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### end

    public static void end()
                    throws java.io.IOException

Throws:
  `java.io.IOException`